petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMTSGetRHSFunction

get TS explicit residual evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetRHSFunction(DM dm,TSRHSFunction *func,void **ctx)

Not Collective

### Input Argument

dm -DM to be used with TS

### Output Arguments

| func | - residual evaluation function, see TSSetRHSFunction() for calling sequence
| ctx | - context for residual evaluation

### Note

TSGetFunction() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

DMTSSetContext(), DMTSSetFunction(), TSSetFunction()

Level:advanced
Location:src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages